﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="serverProgress.aspx.cs" Inherits="ProgressBar_serverProgress" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title>Server-side tracking with RadProgressBar</title>
	</head>
	<body>
		<form id="form1" runat="server">
			<telerik:RadScriptManager ID="theScriptManager" runat="server" />
			<telerik:RadXmlHttpPanel ID="XmlHttpPanel" runat="server" OnClientResponseEnding="ajax_end" OnServiceRequest="XmlHttp_Request" />
			<asp:Button ID="xmlBtn" runat="server" Text="Xml Http Button" OnClientClick="return startXml();" />
			<telerik:RadProgressBar ID="RadProgressBar1" runat="server" />
		</form>
		<script type="text/javascript">
			(function(global, undefined) {
				var interval;

				function startXml(sender, args) {
					var xml = $find("<%= XmlHttpPanel.ClientID %>");

					interval = setInterval(function() {
						xml.set_value(getProgressBar().get_value());
					}, 900);
					return false;
				}
				
				function ajax_end(sender, args) {
					var progressBar = getProgressBar(),
						value = parseInt(args.get_content(), 10);

					progressBar.set_value(value);
					if(value >= 100) {
						clearInterval(interval);
					}
				}

function getProgressBar() { return $find("<%= RadProgressBar1.ClientID %>"); }

				global.startXml = startXml;
				global.ajax_end = ajax_end;
			})(window);
		</script>
	</body>
</html>
